#include <stdio.h>
#include <stdlib.h>

int main()
{
    unsigned long long int n,i;
    scanf("%llu",&n);
    unsigned long long int k[n],v[n],a[n][n],j,br=0;
    for(i=0;i<n;i++)
    {
        for(j=0;j<n;j++)
        {
            a[i][j]=0;
        }
    }
    for(i=0;i<n;i++)
    {
        scanf("%llu %llu",&k[i],&v[i]);
        a[k[i]-1][v[i]-1]=1;
    }
    for(i=0;i<n;i++)
    {
       if(v[i]!=v[i+1] && k[i]!=k[i+1])
        br++;
    }
    if(br==n || n==1)
        printf("\n0");
    if(n==2 && br!=n)
        printf("\n1");


}